package com.gic.haoban.manage.service.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gic.commons.util.EntityUtil;
import com.gic.commons.util.UniqueIdUtils;
import com.gic.haoban.manage.api.dto.ExternalMemberLogDTO;
import com.gic.haoban.manage.service.dao.mapper.ExternalMemberLogMapper;
import com.gic.haoban.manage.service.entity.TabExternalMemberLog;
import com.gic.haoban.manage.service.service.ExternalMemberService;

@Service
public class ExternalMemberServiceImpl implements ExternalMemberService {

    @Autowired
    private ExternalMemberLogMapper externalMemberLogMapper;

    @Override
    public int insert(ExternalMemberLogDTO log) {
        TabExternalMemberLog entity = EntityUtil.changeEntity(TabExternalMemberLog.class, log);
        entity.setLogId(UniqueIdUtils.uniqueLong());
        this.externalMemberLogMapper.insert(entity);
        return 0;
    }

    @Override
    public TabExternalMemberLog selectUnionid(String enterpriseId, String unioinid) {
        return null;
    }

}
